#
# Define mangled versions of some blas functions
#
AC_DEFUN([MANGLE_AN_F77_FUNCTION],[
AC_REQUIRE([AC_F77_WRAPPERS])
m4_define([UPNAME],[F77_[]m4_toupper([$1])])
AC_F77_FUNC($1,UPNAME)
#
# just the default so that things become not worse than before in case
# configure fails
#
if test "$UPNAME" = unknown; then
	UPNAME=m4_tolower([$1])_
fi
AC_DEFINE_UNQUOTED(UPNAME, $UPNAME, [Mangled version of F77 function $1])
AC_SUBST(UPNAME)
])
AC_DEFUN([MANGLE_F77_FUNCTIONS],
[
	MANGLE_AN_F77_FUNCTION([$1])
	m4_if($#,1,[],[MANGLE_F77_FUNCTIONS(m4_shift($@))])
])
